# Class BasicBorders.MarginBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.basic.BasicBorders.MarginBorder

All Implemented Interfaces:
  `Serializable, Border, UIResource`

Enclosing class:
  `BasicBorders`

public static class BasicBorders.MarginBorder extends AbstractBorder implements UIResource
Draws the border around components which support margins.

## Constructor Summary

Constructors
Constructor
Description
`MarginBorder()`
Constructs a `MarginBorder`.

## Method Summary

### Methods declared in class AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MarginBorder

public MarginBorder()
Constructs a `MarginBorder`.